/*Specify the location of the macro files*/
%LET dir = '';
FILENAME tempdir &dir;

/*Load the example datafile*/
%INCLUDE tempdir(data);

/*Load the sas cdfquantreg program*/
%INCLUDE tempdir(SAS_MACRO);

/*%cdfquantreg(data, dv, fd, sd,lmiv =, dmiv =, start=): The asic macro function*/
/*data: 	A dataset including IVs and DV*/
/*dv: 		The name of the DV*/
/*fd: 		String for the parent distribution*/
/*sd: 		String for the child distribution*/
/*lmiv: 	IVs in the location submodel*/
/*dmiv: 	IVs in the dispersion submodel*/
/*dmiv: 	IVs in the dispersion submodel*/
/*init: 	User specified starting value*/

/*Examples T2-T2*/
/*Null Model*/
%cdfquantreg(ambdata, prob, 't2', 't2'); 
/*Location model only*/
%cdfquantreg(ambdata, prob, 't2', 't2', LMIV=scenarioStm3 scenarioStm4); 
/*Dispersion + location model*/
%cdfquantreg(ambdata, prob, 't2', 't2', LMIV=scenarioStm3 scenarioStm4, DMIV = scenarioStm3 scenarioStm4); 

/*Examples logit-logistic*/
%cdfquantreg(ambdata, prob, 'logit', 'logistic'); 
%cdfquantreg(ambdata, prob, 'logit', 'logistic', LMIV=scenarioStm3 scenarioStm4); 
%cdfquantreg(ambdata, prob, 'logit', 'logistic', LMIV=scenarioStm3 scenarioStm4, DMIV = scenarioStm3 scenarioStm4); 

/*ArchSinh T2 */
%cdfquantreg(ambdata, prob, 'arcsinh', 't2'); 
%cdfquantreg(ambdata, prob, 'arcsinh', 't2', lmiv = scenarioStm3 scenarioStm4); 	
%cdfquantreg(ambdata, prob, 'arcsinh', 't2', lmiv = scenarioStm3 scenarioStm4, dmiv = scenarioStm3 scenarioStm4); 
